Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SEdit.Formalisms.Petri
Class GPetriArrow

    java.lang.Object
      SEdit.Graphics.GObject
          SEdit.Graphics.GArrow
              SEdit.Formalisms.Petri.GPetriArrow

    public class GPetriArrow

extends GArrow

CLASS GPetriArrow /

Field Summary

Fields inherited from class SEdit.Graphics.GArrow
`bigRb, bigRp, BROKEN_LINE, defaultRb, defaultRp, DIAMONDEND, DIRECT_LINE, NOTHING, p, q, ra, ras, rDiamond, ROUNDEND, rRound, rSquare, SHARPEND, SQUAREEND, WHITESHARPEND`

Fields inherited from class SEdit.Graphics.GObject
`BOTTOM, bounds, CENTER, displayLabel, element, height, labelLocation, LEFT, RIGHT, selected, TOP, TOP_RIGHT, width, x, y`

Constructor Summary
`GPetriArrow()`

Method Summary
`void` | `displayName(java.awt.Graphics g)`
`void` | `paint(java.awt.Graphics g)`

Methods inherited from class SEdit.Graphics.GArrow
`contains, drawDiamondEnd, drawEnding, drawRoundEnd, drawSharpEnd, drawSquareEnd, drawWhiteSharpEnd, fixBounds, getBounds, getCenter, getDimension, getEndingForm, getLineStyle, getStartingForm, intersection, isContainedIn, isContainedIn, prepareColor, setCenter, setEndingForm, setLineStyle, setStartingForm, snapToGrid`

Methods inherited from class SEdit.Graphics.GObject
`alignHorizontalTo, alignVerticalTo, delete, drag, getDisplayLabel, getEditor, getForeground, getHeight, getLabelLocation, getLocation, getRectangle, getSElement, getWidth, init, intersection, isSelectable, isSelected, reInstall, select, setCenter, setDimension, setDisplayLabel, setEditor, setForeground, setHeight, setLabelLocation, setLocation, setLocation, setSElement, setSize, setWidth, translate, translateBound, translateWrap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GPetriArrow

    public GPetriArrow()

Method Detail

### paint

    public void paint(java.awt.Graphics g)

  Overrides:
    `paint` in class `GArrow`

### displayName

    public void displayName(java.awt.Graphics g)

  Overrides:
    `displayName` in class `GArrow`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.